#ifndef __DS_TOUCHPANEL_H__
#define __DS_TOUCHPANEL_H__

#if defined(__cplusplus)
extern "C"
{
#endif /* __cplusplus */

//For Stylet Rotation
extern unsigned long ulSavedTime_R, ulSavedTime_L;
extern unsigned char i_IDX_R, i_IDX_L ;
extern unsigned char TAB_IDxNextSector_L[4],TAB_IDxNextSector_R[4];

//For Stylet Grattage
extern MTH3D_tdstVector g_stStyletPos ;
extern unsigned long g_ulTimeAction, g_ulTimeInactif;

//================================================================//

extern BOOL DS_bTPGetPosition(int *X,int *Y);

//================================================================//
extern BOOL  DS_bTPPressed();

//================================================================//

extern BOOL  DS_bTPJustPressed();

//================================================================//

extern BOOL  DS_bTPReleased();

//================================================================//

extern BOOL  DS_bTPJustReleased();


//================================================================//
void fn_InitStyletRotationDATA(MTH3D_tdstVector , MTH3D_tdstVector , BOOL );
int fni_GetStyletCurrentSector(MTH3D_tdstVector , MTH3D_tdstVector );

//================================================================//

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif // __DS_TOUCHPANEL_H__
